echo off
REM +------------------------------------------------------------------------+
REM | Licensed Materials - Property of IBM                                   |
REM | Copyright IBM Corp. 2007. All Rights Reserved.                         |
REM |                                                                        |
REM | US Government Users Restricted Rights - Use, duplication or disclosure |
REM | restricted by GSA ADP Schedule Contract with IBM Corp.                 |
REM +------------------------------------------------------------------------+

REM This is an example of the generating the delta log from command line.
REM The command line below invokes the log deltas operation with the input model files and the output delta log file.
REM The user needs to manually change the paths of the java.exe and startup.jar for his install environment.

REM Syntax: <jvm bin directory>java.exe -cp <eclipse home directory>startup.jar org.eclipse.core.launcher.Main -data <workspace path> -application com.ibm.xtools.comparemerge.delta.annotation.ui.logdeltas -log=<delta log file path> [-filetype=<local file name with extension>] <ancestor input file path> <local contributor input file path>
REM Where optional parameter is enclosed with [ ]
REM File path or string data is enclosed with < >

REM Input file paths is absolute local file path, eclipse file resource path or ClearCase version file path.
REM Example: "c:\temp\modelfile1.emx", "/project1/folder 1/modelfile2.emx", "c:\workspace\folder 2\modelfile3.emx@@\main\3"

REM The optional file type is the full file name of the input file.
REM It is used to determine the content type and merge manager.
REM If your input files have no file extensions or wrong file extensions (such as temporary files),
REM then you need to specify the file type parameter to enforce the content type of the input files.
REM Example: -filetype="file1.emx"

echo on

"C:\Program Files\IBM\SDP70\jdk\bin\java.exe" -cp "C:\Program Files\IBM\SDP70\startup.jar" org.eclipse.core.launcher.Main -nosplash -nosplash -data "C:\Program Files\IBM\SDP70\workspace" -application com.ibm.xtools.comparemerge.delta.annotation.ui.logdeltas -log="C:\Program Files\IBM\SDP70\workspace\test1\deltalog.xml" "C:\Program Files\IBM\SDP70\workspace\test1\base.emx" "C:\Program Files\IBM\SDP70\workspace\test1\cont1.emx"
